%define major 3
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:       vsqlite++
Version:    0.3.12
Release:    %mkrel 4
Summary:    Well designed C++ sqlite 3.x wrapper library

Group:      Development/C++
License:    BSD
URL:        https://github.com/vinzenz/vsqlite--
Source0:    http://evilissimo.fedorapeople.org/releases/vsqlite--/%{version}/vsqlite---%{version}.tar.gz

BuildRequires:  boost-devel
BuildRequires:  sqlite3-devel
BuildRequires:  libtool
BuildRequires:  doxygen
BuildRequires:  graphviz

%description
VSQLite++ is a C++ wrapper for sqlite3 using the C++ standard library and boost.
VSQLite++ is designed to be easy to use and focuses on simplicity.

%package -n     %{libname}
Summary:        Development files for %{name}
Group:          Development/C++

%description -n     %{libname}
This package contains development files for %{name}.

%package -n     %{develname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:	%{name}-devel

%description -n     %{develname}
This package contains development files for %{name}.


%prep
%setup -q -n vsqlite---%{version}
./autogen.sh
%build
%configure
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
%make
doxygen Doxyfile

%install
# devel & base
install -p -m 755 -d %{buildroot}%{_libdir}
# devel only
install -p -m 755 -d %{buildroot}%{_includedir}/sqlite/ext
install -m 644 include/sqlite/*.hpp %{buildroot}%{_includedir}/sqlite
install -m 644 include/sqlite/ext/*.hpp %{buildroot}%{_includedir}/sqlite/ext
# docs
install -p -m 755 -d %{buildroot}%{_docdir}

# build for all
make DESTDIR=%{buildroot} install

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files 
%doc ChangeLog README COPYING examples/sqlite_wrapper.cpp html/*

%files -n     %{develname}
%doc ChangeLog README COPYING
%{_libdir}/libvsqlitepp.so
%{_includedir}/sqlite
# Don't add .la/.a to the package
%exclude %{_libdir}/libvsqlitepp.la
%exclude %{_libdir}/libvsqlitepp.a

%files -n %{libname}
%doc ChangeLog README COPYING
%{_libdir}/libvsqlitepp.so.*



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.3.12-4.mga4
+ Revision: 533417
- Mageia 4 Mass Rebuild

* Thu Aug 29 2013 dlucio <dlucio> 0.3.12-3.mga4
+ Revision: 472966
- Provides for devel package

* Thu Aug 29 2013 dlucio <dlucio> 0.3.12-2.mga4
+ Revision: 472965
- Requieres fix

* Thu Aug 29 2013 dlucio <dlucio> 0.3.12-1.mga4
+ Revision: 472959
- Group fix
- sqlite3-devel as BR instead sqlite-devel
- 0.3.12
- spec fixes to fit mageia style
- imported package vsqlite++


* Fri Dec 21 2012 Vinzenz Feenstra <evilissimo@gmail.com> - 0.3.11-1
- Upstream version 0.3.11

* Fri Sep 28 2012 Vinzenz Feenstra <evilissimo@gmail.com> - 0.3.9-3
- Documentation subpackage now noarch

* Wed Sep 26 2012 Vinzenz Feenstra <evilissimo@gmail.com> - 0.3.9-2
- Removed comment with macro - Not needed anymore

* Tue Sep 25 2012 Vinzenz Feenstra <evilissimo@gmail.com> - 0.3.9-1
- Updated to upstream vsqlite++-0.3.9
- Removing now obsolete ./autogen.sh call in prep
- Remove of unnecessary BuildRequires automake and autoconf
- Upstream renamed Changelog to ChangeLog - reflected changes
- Upstream renamed LICENSE to COPYING - reflected changes

* Tue Sep 25 2012 Vinzenz Feenstra <evilissimo@gmail.com> - 0.3.7-2
- Fix for %%description spelling 'ibrary' => 'library'
- Fix for unused libm dependency
- Include Changelog, README and LICENSE to devel
- Removed TODO, VERSION
- Removed duplicated lines in the install sectin
- New doc sub package for the html documentation and code example
- Removed static package
- Removed unnecessary ldconfig call on devel package
- One BuildRequires entry per line

* Tue Sep 25 2012 Vinzenz Feenstra <evilissimo@gmail.com> - 0.3.7-1
- Initial package

